Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.internal.ui.model
Class ModelContentProvider

    java.lang.Object
      org.eclipse.emf.ecp.internal.ui.model.StructuredContentProvider<INPUT>
          org.eclipse.emf.ecp.internal.ui.model.TreeContentProvider<INPUT>
              org.eclipse.emf.ecp.internal.ui.model.ECPContentProvider<ECPProjectManager>
                  org.eclipse.emf.ecp.internal.ui.model.ModelContentProvider

All Implemented Interfaces:
  ECPModelContextProvider, ECPObserver, ECPProjectContentTouchedObserver, ECPProjectOpenClosedObserver, ECPProjectsChangedObserver, org.eclipse.emf.edit.provider.INotifyChangedListener, org.eclipse.jface.viewers.IContentProvider, org.eclipse.jface.viewers.IStructuredContentProvider, org.eclipse.jface.viewers.ITreeContentProvider

    public class ModelContentProvider

extends ECPContentProvider<ECPProjectManager>
implements ECPProjectsChangedObserver, ECPProjectOpenClosedObserver, ECPProjectContentTouchedObserver

Author:
  Eike Stepper

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecp.internal.ui.model.TreeContentProvider
`TreeContentProvider.ErrorElement, TreeContentProvider.SlowElement, TreeContentProvider.SyntheticElement`

Constructor Summary
`ModelContentProvider()`

Method Summary
`void` | `contentTouched(ECPProject project, Collection<Object> objects, boolean structural)` This is called when objects of a project changed.
`void` | `projectChanged(ECPProject project, boolean opened)` This is called when a project is opened or closed.
`void` | `projectsChanged(Collection<ECPProject> oldProjects, Collection<ECPProject> newProjects)` This is called when a project changes, so if it is either added or removed.

Methods inherited from class org.eclipse.emf.ecp.internal.ui.model.ECPContentProvider
`dispose, getModelContext, notifyChanged`

Methods inherited from class org.eclipse.emf.ecp.internal.ui.model.TreeContentProvider
`getChildren, getElements, getParent, getViewer, hasChildren, refresh, refreshViewer, update`

Methods inherited from class org.eclipse.emf.ecp.internal.ui.model.StructuredContentProvider
`getInput, inputChanged, refreshViewer`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.IContentProvider
`inputChanged`

Constructor Detail

### ModelContentProvider

    public ModelContentProvider()

Method Detail

### projectsChanged

    public void projectsChanged(Collection<ECPProject> oldProjects,
                                Collection<ECPProject> newProjects)

  This is called when a project changes, so if it is either added or removed.

  Specified by:
    `projectsChanged` in interface `ECPProjectsChangedObserver`
  Parameters:
    `oldProjects` - the collection of projects before the change
    `newProjects` - the collection of projects after the change

### projectChanged

    public void projectChanged(ECPProject project,
                               boolean opened)

  This is called when a project is opened or closed.

  Specified by:
    `projectChanged` in interface `ECPProjectOpenClosedObserver`
  Parameters:
    `project` - the `ECPProject` that changed
    `opened` - whether it was opened or closed

### contentTouched

    public void contentTouched(ECPProject project,
                               Collection<Object> objects,
                               boolean structural)

  This is called when objects of a project changed.

  Specified by:
    `contentTouched` in interface `ECPProjectContentTouchedObserver`
  Parameters:
    `project` - the project where the changed occurred.
    `objects` - the objects that changed and the objects affected by the change
    `structural` - whether the change was structural that is changes to containment references

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.